Name:           mod_tsa
Version:        20060923
Release:        5%{?dist}
Summary:        A Timestamping Authority module (RFC 3161) for Apache

Group:          System Environment/Daemons
License:        OpenSSL
URL:            http://www.opentsa.org/
Source0:        http://www.opentsa.org/mod_tsa/%{name}-%{version}.tgz
Source1:        tsa-module.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         tsa.conf.patch
Patch1:         mod_tsa-security-warning.patch
Patch2:         mod_tsa-openssl-3.0.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  httpd-devel
BuildRequires:  openssl-devel
Requires:       httpd
Requires:       openssl

%description
The aim of the OpenTSA project is to develop an RFC 3161 compliant, stable,
secure, open source and free time stamping authority client and server
application.

Time Stamp module for Apache: This package is an extension module for the
latest stable version of the Apache HTTP server. This module functions as an
RFC 3161 compliant time stamp server over HTTP and HTTPS transport protocols.
Issued time stamp tokens could be stored in a MySQL, PostgreSQL or a FireBird
database (not in the packaged version; a recompile is needed).

This product includes software developed by the OpenTSA Project:
   http://www.opentsa.org/

%prep
%setup -q -n mod_tsa
%patch -P 0
%patch -P 1 -p1
%patch -P 2 -p1


%build
## % c onfigure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
install -D -m755 .libs/mod_tsa.so %{buildroot}/%{_libdir}/httpd/modules/mod_tsa.so
install -D -m644 tsa.conf %{buildroot}/%{_sysconfdir}/httpd/conf.d/tsa.conf
install -D -m644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/tsa-module.conf
install -d %{buildroot}/%{_var}/www/tsa


%files
%defattr(-,root,root,-)
%doc directives.html *.sql LICENSE INSTALL.html
%{_libdir}/httpd/modules/mod_tsa.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/tsa.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/tsa-module.conf
%dir %{_var}/www/tsa

%changelog
* Mon Jan 29 2024 bta - 20060923-5
- Patch to support OpenSSL 3.0

* Mon Jan 29 2024 Bussi Andrea <btabta@gmail.com> 20060923-4
- rebuilt on AlmaLinux 9

* Tue Sep 13 2011 Bussi Andrea <btabta@gmail.com> 20060923-3
- Added an Apache config file for loading the TSA module

* Tue Sep 13 2011 Bussi Andrea <btabta@gmail.com> 20060923-2
- Initial Version
